API ReferenceCWT PDF templates
Retrieve all PDF templates
GET
/v2/credentials/compact/pdf/templatesRetrieves a list of all CWT credentials PDF templates available on the tenant.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_STARTCREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_SUCCESSCREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact/pdf/templates"{ "nextCursor": "0ecdcb57-ef2b-4aa1-be34-695c2d9d9486", "data": [ { "id": "4eea7654-d4c5-4eba-bd7a-5ca334d54725", "name": "Certificate of participation", "fileName": "certificate_of_participation", "fonts": [ { "name": "PublicSans-Regular", "fileName": "fonts/PublicSans-Regular.ttf" } ], "metadata": { "title": "" }, "fields": [ { "key": "familyName", "value": "{{payload.sub_claims.familyName}}", "isRequired": true, "alternativeText": "{{payload.sub_claims.familyName}}", "fontName": "PublicSans-Regular" } ] } ]}How would you rate this page?
Create a PDF template POST
Creates a CWT credential PDF template based on a provided `.zip` file. Refer to our [PDF template design guide](https://learn.mattr.global/docs/issuance/cwt-credential-templates/pdf-templates) for more information on how to design a template and structure the `.zip` file.
Retrieve a PDF template GET
Retrieves an existing CWT credentials PDF template using its ID.